PATH:
usr
/
bin
#!/bin/sh #--------------------------------------------- # xdg-settings # # Utility script to get various settings from the desktop environment. # # Refer to the usage() function below for usage. # # Copyright 2009, Google Inc. # # LICENSE: # # Permission is hereby granted, free of charge, to any person obtaining a # copy of this software and associated documentation files (the "Software"), # to deal in the Software without restriction, including without limitation # the rights to use, copy, modify, merge, publish, distribute, sublicense, # and/or sell copies of the Software, and to permit persons to whom the # Software is furnished to do so, subject to the following conditions: # # The above copyright notice and this permission notice shall be included # in all copies or substantial portions of the Software. # # THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS # OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, # FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL # THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR # OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, # ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR # OTHER DEALINGS IN THE SOFTWARE. # #--------------------------------------------- manualpage() { cat << _MANUALPAGE Name xdg-settings -- get various settings from the desktop environment Synopsis xdg-settings { get | check | set } {property} [subproperty] [value] xdg-settings { --help | --list | --manual | --version } Description xdg-settings gets various settings from the desktop environment. For instance, desktop environments often provide proxy configuration and default web browser settings. Using xdg-settings these parameters can be extracted for use by applications that do not use the desktop environment's libraries (which would use the settings natively). xdg-settings is for use inside a desktop session only. It is not recommended to use xdg-settings as root. Options --help Show command synopsis. --list List all properties xdg-settings knows about. --manual Show this manual page. --version Show the xdg-utils version information. Properties When using xdg-settings to get, check or set a destkop setting, properties and possibly sub-properties are used to specify the setting to be changed. Some properties (such as default-web-browser) fully describe the setting to be changed. Other properties (such as default-url-scheme-handler) require more information (in this case the actual scheme to set the default handler for) which must be provided in a sub-property. Exit Codes An exit code of 0 indicates success while a non-zero exit code indicates failure. The following failure codes can be returned: 1 Error in command line syntax. 2 One of the files passed on the command line did not exist. 3 A required tool could not be found. 4 The action failed. Examples Get the desktop file name of the current default web browser xdg-settings get default-web-browser Check whether the default web browser is firefox.desktop, which can be false even if "get default-web-browser" says that is the current value (if only some of the underlying settings actually reflect that value) xdg-settings check default-web-browser firefox.desktop Set the default web browser to google-chrome.desktop xdg-settings set default-web-browser google-chrome.desktop Set the default mailto URL scheme handler to be evolution.desktop xdg-settings set default-url-scheme-handler mailto evolution.des ktop _MANUALPAGE } usage() { cat << _USAGE xdg-settings -- get various settings from the desktop environment Synopsis xdg-settings { get | check | set } {property} [subproperty] [value] xdg-settings { --help | --list | --manual | --version } _USAGE } #@xdg-utils-common@ #---------------------------------------------------------------------------- # Common utility functions included in all XDG wrapper scripts #---------------------------------------------------------------------------- DEBUG() { [ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && return 0; [ ${XDG_UTILS_DEBUG_LEVEL} -lt $1 ] && return 0; shift echo "$@" >&2 } # This handles backslashes but not quote marks. first_word() { read first rest echo "$first" } #------------------------------------------------------------- # map a binary to a .desktop file binary_to_desktop_file() { search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}" binary="`which "$1"`" binary="`readlink -f "$binary"`" base="`basename "$binary"`" IFS=: for dir in $search; do unset IFS [ "$dir" ] || continue [ -d "$dir/applications" ] || [ -d "$dir/applnk" ] || continue for file in "$dir"/applications/*.desktop "$dir"/applications/*/*.desktop "$dir"/applnk/*.desktop "$dir"/applnk/*/*.desktop; do [ -r "$file" ] || continue # Check to make sure it's worth the processing. grep -q "^Exec.*$base" "$file" || continue # Make sure it's a visible desktop file (e.g. not "preferred-web-browser.desktop"). grep -Eq "^(NoDisplay|Hidden)=true" "$file" && continue command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | first_word`" command="`which "$command"`" if [ x"`readlink -f "$command"`" = x"$binary" ]; then # Fix any double slashes that got added path composition echo "$file" | sed -e 's,//*,/,g' return fi done done } #------------------------------------------------------------- # map a .desktop file to a binary ## FIXME: handle vendor dir case desktop_file_to_binary() { search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}" desktop="`basename "$1"`" IFS=: for dir in $search; do unset IFS [ "$dir" ] && [ -d "$dir/applications" ] || continue file="$dir/applications/$desktop" [ -r "$file" ] || continue # Remove any arguments (%F, %f, %U, %u, etc.). command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | first_word`" command="`which "$command"`" readlink -f "$command" return done } #------------------------------------------------------------- # Exit script on successfully completing the desired operation exit_success() { if [ $# -gt 0 ]; then echo "$@" echo fi exit 0 } #----------------------------------------- # Exit script on malformed arguments, not enough arguments # or missing required option. # prints usage information exit_failure_syntax() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 echo "Try 'xdg-settings --help' for more information." >&2 else usage echo "Use 'man xdg-settings' or 'xdg-settings --manual' for additional info." fi exit 1 } #------------------------------------------------------------- # Exit script on missing file specified on command line exit_failure_file_missing() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 fi exit 2 } #------------------------------------------------------------- # Exit script on failure to locate necessary tool applications exit_failure_operation_impossible() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 fi exit 3 } #------------------------------------------------------------- # Exit script on failure returned by a tool application exit_failure_operation_failed() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 fi exit 4 } #------------------------------------------------------------ # Exit script on insufficient permission to read a specified file exit_failure_file_permission_read() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 fi exit 5 } #------------------------------------------------------------ # Exit script on insufficient permission to write a specified file exit_failure_file_permission_write() { if [ $# -gt 0 ]; then echo "xdg-settings: $@" >&2 fi exit 6 } check_input_file() { if [ ! -e "$1" ]; then exit_failure_file_missing "file '$1' does not exist" fi if [ ! -r "$1" ]; then exit_failure_file_permission_read "no permission to read file '$1'" fi } check_vendor_prefix() { file_label="$2" [ -n "$file_label" ] || file_label="filename" file=`basename "$1"` case "$file" in [a-zA-Z]*-*) return ;; esac echo "xdg-settings: $file_label '$file' does not have a proper vendor prefix" >&2 echo 'A vendor prefix consists of alpha characters ([a-zA-Z]) and is terminated' >&2 echo 'with a dash ("-"). An example '"$file_label"' is '"'example-$file'" >&2 echo "Use --novendor to override or 'xdg-settings --manual' for additional info." >&2 exit 1 } check_output_file() { # if the file exists, check if it is writeable # if it does not exists, check if we are allowed to write on the directory if [ -e "$1" ]; then if [ ! -w "$1" ]; then exit_failure_file_permission_write "no permission to write to file '$1'" fi else DIR=`dirname "$1"` if [ ! -w "$DIR" ] || [ ! -x "$DIR" ]; then exit_failure_file_permission_write "no permission to create file '$1'" fi fi } #---------------------------------------- # Checks for shared commands, e.g. --help check_common_commands() { while [ $# -gt 0 ] ; do parm="$1" shift case "$parm" in --help) usage echo "Use 'man xdg-settings' or 'xdg-settings --manual' for additional info." exit_success ;; --manual) manualpage exit_success ;; --version) echo "xdg-settings 1.1.0 rc1" exit_success ;; esac done } check_common_commands "$@" [ -z "${XDG_UTILS_DEBUG_LEVEL}" ] && unset XDG_UTILS_DEBUG_LEVEL; if [ ${XDG_UTILS_DEBUG_LEVEL-0} -lt 1 ]; then # Be silent xdg_redirect_output=" > /dev/null 2> /dev/null" else # All output to stderr xdg_redirect_output=" >&2" fi #-------------------------------------- # Checks for known desktop environments # set variable DE to the desktop environments name, lowercase detectDE() { # see https://bugs.freedesktop.org/show_bug.cgi?id=34164 unset GREP_OPTIONS if [ -n "${XDG_CURRENT_DESKTOP}" ]; then case "${XDG_CURRENT_DESKTOP}" in GNOME) DE=gnome; ;; KDE) DE=kde; ;; LXDE) DE=lxde; ;; XFCE) DE=xfce esac fi if [ x"$DE" = x"" ]; then # classic fallbacks if [ x"$KDE_FULL_SESSION" = x"true" ]; then DE=kde; elif [ x"$GNOME_DESKTOP_SESSION_ID" != x"" ]; then DE=gnome; elif [ x"$MATE_DESKTOP_SESSION_ID" != x"" ]; then DE=mate; elif `dbus-send --print-reply --dest=org.freedesktop.DBus /org/freedesktop/DBus org.freedesktop.DBus.GetNameOwner string:org.gnome.SessionManager > /dev/null 2>&1` ; then DE=gnome; elif xprop -root _DT_SAVE_MODE 2> /dev/null | grep ' = \"xfce4\"$' >/dev/null 2>&1; then DE=xfce; elif xprop -root 2> /dev/null | grep -i '^xfce_desktop_window' >/dev/null 2>&1; then DE=xfce fi fi if [ x"$DE" = x"" ]; then # fallback to checking $DESKTOP_SESSION case "$DESKTOP_SESSION" in gnome) DE=gnome; ;; LXDE|Lubuntu) DE=lxde; ;; xfce|xfce4|'Xfce Session') DE=xfce; ;; esac fi if [ x"$DE" = x"" ]; then # fallback to uname output for other platforms case "$(uname 2>/dev/null)" in Darwin) DE=darwin; ;; esac fi if [ x"$DE" = x"gnome" ]; then # gnome-default-applications-properties is only available in GNOME 2.x # but not in GNOME 3.x which gnome-default-applications-properties > /dev/null 2>&1 || DE="gnome3" fi } #---------------------------------------------------------------------------- # kfmclient exec/openURL can give bogus exit value in KDE <= 3.5.4 # It also always returns 1 in KDE 3.4 and earlier # Simply return 0 in such case kfmclient_fix_exit_code() { version=`LC_ALL=C.UTF-8 kde-config --version 2>/dev/null | grep '^KDE'` major=`echo $version | sed 's/KDE.*: \([0-9]\).*/\1/'` minor=`echo $version | sed 's/KDE.*: [0-9]*\.\([0-9]\).*/\1/'` release=`echo $version | sed 's/KDE.*: [0-9]*\.[0-9]*\.\([0-9]\).*/\1/'` test "$major" -gt 3 && return $1 test "$minor" -gt 5 && return $1 test "$release" -gt 4 && return $1 return 0 } check_desktop_filename() { case "$1" in */*) exit_failure_syntax "invalid application name" ;; *.desktop) return ;; *) exit_failure_syntax "invalid application name" ;; esac } # {{{ default browser # {{{ utility functions # In order to remove an application from the automatically-generated list of # applications for handling a given MIME type, the desktop environment may copy # the global .desktop file into the user's .local directory, and remove that # MIME type from its list. In that case, we must restore the MIME type to the # application's list of MIME types before we can set it as the default for that # MIME type. (We can't just delete the local version, since the user may have # made other changes to it as well. So, tweak the existing file.) # This function is hard-coded for text/html but it could be adapted if needed. fix_local_desktop_file() { if test -z "$2" ; then MIME="text/html" else MIME="$2" fi apps="${XDG_DATA_HOME:-$HOME/.local/share}/applications" # No local desktop file? [ ! -f "$apps/$1" ] && return MIMETYPES="`grep "^MimeType=" "$apps/$1" | cut -d= -f 2-`" case "$MIMETYPES" in $MIME\;*|*\;$MIME\;*|*\;$MIME\;|*\;$MIME) # Already has the mime-type? Great! return 0 ;; esac # Add the mime-type to the list temp="`mktemp "$apps/$1.XXXXXX"`" || return grep -v "^MimeType=" "$apps/$1" >> "$temp" echo "MimeType=$MIME;$MIMETYPES" >> "$temp" oldlines="`wc -l < "$apps/$1"`" newlines="`wc -l < "$temp"`" # The new file should have at least as many lines as the old. if [ $oldlines -le $newlines ]; then mv "$temp" "$apps/$1" # This can take a little bit to get noticed. sleep 4 else rm -f "$temp" return 1 fi } # }}} utility functions # {{{ MIME utilities xdg_mime_fixup() { # xdg-mime may use ktradertest, which will fork off a copy of kdeinit if # one does not already exist. It will exit after about 15 seconds if no # further processes need it around. But since it does not close its stdout, # the shell (via grep) will wait around for kdeinit to exit. If we start a # copy here, that copy will be used in xdg-mime and we will avoid waiting. if [ "$DE" = kde -a -z "$XDG_MIME_FIXED" ]; then ktradertest text/html Application > /dev/null 2>&1 # Only do this once, as we only need it once. XDG_MIME_FIXED=yes fi } get_browser_mime() { if test -z "$1" ; then MIME="text/html" else MIME="$1" fi xdg_mime_fixup xdg-mime query default "$MIME" } set_browser_mime() { xdg_mime_fixup if test -z "$2" ; then MIME="text/html" else MIME="$2" fi orig="`get_browser_mime $MIME`" # Fixing the local desktop file can actually change the default browser all # by itself, so we fix it only after querying to find the current default. fix_local_desktop_file "$1" "$MIME" || return mkdir -p "${XDG_DATA_HOME:-$HOME/.local/share}/applications" xdg-mime default "$1" "$MIME" || return if [ x"`get_browser_mime`" != x"$1" ]; then # Put back the original value xdg-mime default "$orig" "$MIME" exit_failure_operation_failed fi } # }}} MIME utilities # {{{ KDE utilities # Reads the KDE configuration setting, compensating for a bug in some versions of kreadconfig. read_kde_config() { configfile="$1" configsection="$2" configkey="$3" application="`kreadconfig --file $configfile --group $configsection --key $configkey`" if [ x"$application" != x ]; then echo "$application" else # kreadconfig in KDE 4 may not notice Key[$*]=... localized settings, so # check by hand if it didn't find anything (oddly kwriteconfig works # fine though). configfile_dir=`kde${KDE_SESSION_VERSION}-config --path config | cut -d ':' -f 1` configfile_path="$configfile_dir/$configfile" [ ! -f "$configfile_path" ] && return # This will only take the first value if there is more than one. grep "^$configkey"'\[$[^]=]*\]=' "$configfile_path" | head -n 1 | cut -d= -f 2- fi } # }}} KDE utilities # {{{ KDE # Resolves the KDE browser setting to a binary: if prefixed with !, simply removes it; # otherwise, uses desktop_file_to_binary to get the binary out of the desktop file. resolve_kde_browser() { [ -z "$browser" ] && return case "$browser" in !*) echo "${browser#!}" ;; *) desktop_file_to_binary "$browser" ;; esac } # Does the opposite of resolve_kde_browser: if prefixed with !, tries to find a desktop # file corresponding to the binary, otherwise just returns the desktop file name. resolve_kde_browser_desktop() { [ -z "$browser" ] && return case "$browser" in !*) desktop="`binary_to_desktop_file "${browser#!}"`" basename "$desktop" ;; *) echo "$browser" ;; esac } read_kde_browser() { read_kde_config kdeglobals General BrowserApplication } get_browser_kde() { browser="`read_kde_browser`" if [ x"$browser" = x ]; then # No explicit default browser; KDE will use the MIME type text/html. get_browser_mime else resolve_kde_browser_desktop fi } check_browser_kde() { check="`desktop_file_to_binary "$1"`" if [ -z "$check" ]; then echo no exit_success fi browser="`read_kde_browser`" binary="`resolve_kde_browser`" # Because KDE will use the handler for MIME type text/html if this value # is empty, we allow either the empty string or a match to $check here. if [ x"$binary" != x -a x"$binary" != x"$check" ]; then echo no exit_success fi browser="`get_browser_mime`" binary="`desktop_file_to_binary "$browser"`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi echo yes exit_success } set_browser_kde() { set_browser_mime "$1" || return kwriteconfig --file kdeglobals --group General --key BrowserApplication "$1" } # }}} KDE # {{{ GNOME get_browser_gnome() { binary="`gconftool-2 --get /desktop/gnome/applications/browser/exec | first_word`" if [ x"$binary" = x ]; then # No default browser; GNOME might use the MIME type text/html. get_browser_mime else # gconftool gives the binary (maybe with %s etc. afterward), # but we want the desktop file name, not the binary. So, we # have to find the desktop file to which it corresponds. desktop="`binary_to_desktop_file "$binary"`" basename "$desktop" fi } check_browser_gnome() { check="`desktop_file_to_binary "$1"`" if [ -z "$check" ]; then echo no exit_success fi binary="`gconftool-2 --get /desktop/gnome/applications/browser/exec | first_word`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi # Check HTTP and HTTPS, but not about: and unknown:. for protocol in http https; do binary="`gconftool-2 --get /desktop/gnome/url-handlers/$protocol/command | first_word`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi done browser="`get_browser_mime`" binary="`desktop_file_to_binary "$browser"`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi echo yes exit_success } set_browser_gnome() { binary="`desktop_file_to_binary "$1"`" [ "$binary" ] || exit_failure_file_missing set_browser_mime "$1" || return # Set the default browser. gconftool-2 --type string --set /desktop/gnome/applications/browser/exec "$binary" gconftool-2 --type bool --set /desktop/gnome/applications/browser/needs_term false gconftool-2 --type bool --set /desktop/gnome/applications/browser/nremote true # Set the handler for HTTP and HTTPS. for protocol in http https; do gconftool-2 --type string --set /desktop/gnome/url-handlers/$protocol/command "$binary %s" gconftool-2 --type bool --set /desktop/gnome/url-handlers/$protocol/needs_terminal false gconftool-2 --type bool --set /desktop/gnome/url-handlers/$protocol/enabled true done # Set the handler for about: and unknown URL types. for protocol in about unknown; do gconftool-2 --type string --set /desktop/gnome/url-handlers/$protocol/command "$binary %s" done } # }}} GNOME # {{{ GNOME 3.x get_browser_gnome3() { get_browser_mime "x-scheme-handler/http" } check_browser_gnome3() { desktop="$1" check="`desktop_file_to_binary "$1"`" if [ -z "$check" ]; then echo no exit_success fi # Check HTTP and HTTPS, but not about: and unknown:. for protocol in http https; do browser="`get_browser_mime "x-scheme-handler/$protocol"`" if [ x"$browser" != x"$desktop" ]; then echo no exit_success fi done echo yes exit_success } set_browser_gnome3() { binary="`desktop_file_to_binary "$1"`" [ "$binary" ] || exit_failure_file_missing set_browser_mime "$1" || return # Set the default browser. for protocol in http https about unknown; do set_browser_mime "$1" "x-scheme-handler/$protocol" || return done } # }}} GNOME 3.x # {{{ xfce get_browser_xfce() { search="${XDG_CONFIG_HOME:-$HOME/.config}:${XDG_CONFIG_DIRS:-/etc/xdg}" IFS=: for dir in $search; do unset IFS [ "$dir" ] && [ -d "$dir/xfce4" ] || continue file="$dir/xfce4/helpers.rc" [ -r "$file" ] || continue grep -q "^WebBrowser=" "$file" || continue desktop="`grep "^WebBrowser=" "$file" | cut -d= -f 2-`" echo "$desktop.desktop" return done exit_failure_operation_failed } check_browser_xfce() { browser="`get_browser_xfce`" if [ x"$browser" != x"$1" ]; then echo no exit_success fi echo yes exit_success } check_xfce_desktop_file() { # Annoyingly, xfce wants its .desktop files in a separate directory instead # of the standard locations, and requires a few custom tweaks to them: # "Type" must be "X-XFCE-Helper" # "X-XFCE-Category" must be "WebBrowser" (for web browsers, anyway) # "X-XFCE-Commands" and "X-XFCE-CommandsWithParameter" must be set search="${XDG_DATA_HOME:-$HOME/.local/share}:${XDG_DATA_DIRS:-/usr/local/share:/usr/share}" IFS=: for dir in $search; do unset IFS [ "$dir" ] && [ -d "$dir/xfce4/helpers" ] || continue file="$dir/xfce4/helpers/$1" # We have the file, no need to create it. [ -r "$file" ] && return done IFS=: for dir in $search; do unset IFS [ "$dir" ] && [ -d "$dir/applications" ] || continue file="$dir/applications/$1" if [ -r "$file" ]; then # Found a file to convert. target="${XDG_DATA_HOME:-$HOME/.local/share}/xfce4/helpers" mkdir -p "$target" grep -v "^Type=" "$file" > "$target/$1" echo "Type=X-XFCE-Helper" >> "$target/$1" echo "X-XFCE-Category=WebBrowser" >> "$target/$1" # Change %F, %f, %U, and %u to "%s". command="`grep -E "^Exec(\[[^]=]*])?=" "$file" | cut -d= -f 2- | sed -e 's/%[FfUu]/"%s"/g'`" echo "X-XFCE-Commands=`echo "$command" | first_word`" >> "$target/$1" echo "X-XFCE-CommandsWithParameter=$command" >> "$target/$1" return fi done return 1 } set_browser_xfce() { check_xfce_desktop_file "$1" || exit_failure_operation_failed helper_dir="${XDG_CONFIG_HOME:-$HOME/.config}/xfce4" if [ ! -d "$helper_dir" ]; then mkdir -p "$helper_dir" || exit_failure_operation_failed fi helpers_rc="$helper_dir/helpers.rc" # Create the file if it does not exist to avoid special cases below. if [ ! -r "$helpers_rc" ]; then touch "$helpers_rc" || exit_failure_operation_failed fi temp="`mktemp "$helpers_rc.XXXXXX"`" || return grep -v "^WebBrowser=" "$helpers_rc" >> "$temp" echo "WebBrowser=${1%.desktop}" >> "$temp" oldlines="`wc -l < "$helpers_rc"`" newlines="`wc -l < "$temp"`" # The new file should have at least as many lines as the old. if [ $oldlines -le $newlines ]; then mv "$temp" "$helpers_rc" else rm -f "$temp" return 1 fi } # }}} xfce # }}} default browser # {{{ default url scheme handler exit_unimplemented_default_handler() { exit_failure_operation_impossible "default-url-scheme-handler not implemented for $DE" } # {{{ KDE # Recent versions of KDE support default scheme handler applications using the # mime type of x-scheme-handler/scheme. Older versions will not support this # but do have support for setting a default mail handler. There is also a # system in KDE where .protocol files can be used, however this is not # supported by this script. When reading a scheme handler we will use the # default mail handler for the mailto scheme, otherwise we will use the mime # type x-scheme-handler/scheme. get_url_scheme_handler_kde() { if [ "$1" = "mailto" ]; then handler="`read_kde_config emaildefaults PROFILE_Default EmailClient | first_word`" echo "handler is $handler" if [ x"$handler" != x ]; then binary_to_desktop_file "$handler" else get_browser_mime "x-scheme-handler/$1" fi else get_browser_mime "x-scheme-handler/$1" fi } check_url_scheme_handler_kde() { check="`desktop_file_to_binary "$2"`" if [ -z "$check" ]; then echo no exit_success fi if [ x"$1" = "mailto" ]; then binary="`read_kde_config emaildefaults PROFILE_Default EmailClient`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi fi handler="`get_browser_mime x-scheme-handler/$1`" binary="`desktop_file_to_binary "$handler"`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi echo yes exit_success } set_url_scheme_handler_kde() { set_browser_mime "$2" "x-scheme-handler/$1" || return if [ "$1" = "mailto" ]; then binary="`desktop_file_to_binary "$2"`" kwriteconfig --file emaildefaults --group PROFILE_Default --key EmailClient "$binary" fi } # }}} KDE # {{{ GNOME get_url_scheme_handler_gnome() { binary="`gconftool-2 --get /desktop/gnome/url-handlers/$1/command | first_word`" if [ x"$binary" != x"" ]; then # gconftool gives the binary (maybe with %s etc. afterward), # but we want the desktop file name, not the binary. So, we # have to find the desktop file to which it corresponds. desktop="`binary_to_desktop_file "$binary"`" basename "$desktop" fi } check_url_scheme_handler_gnome() { check="`desktop_file_to_binary "$2"`" if [ -z "$check" ]; then echo no exit_success fi binary="`gconftool-2 --get /desktop/gnome/url-handlers/$1/command | first_word`" if [ x"$binary" != x"$check" ]; then echo no exit_success fi echo yes exit_success } set_url_scheme_handler_gnome() { binary="`desktop_file_to_binary "$2"`" [ "$binary" ] || exit_failure_file_missing gconftool-2 --type string --set /desktop/gnome/url-handlers/$1/command "$binary %s" gconftool-2 --type bool --set /desktop/gnome/url-handlers/$1/needs_terminal false gconftool-2 --type bool --set /desktop/gnome/url-handlers/$1/enabled true } # }}} GNOME # {{{ GNOME 3.x get_url_scheme_handler_gnome3() { get_browser_mime "x-scheme-handler/$1" } check_url_scheme_handler_gnome3() { desktop="$2" check="`desktop_file_to_binary "$2"`" if [ -z "$check" ]; then echo no exit_success fi browser="`get_browser_mime "x-scheme-handler/$1"`" if [ x"$browser" != x"$desktop" ]; then echo no exit_success fi echo yes exit_success } set_url_scheme_handler_gnome3() { binary="`desktop_file_to_binary "$2"`" [ "$binary" ] || exit_failure_file_missing set_browser_mime "$2" || return # Set the default browser. set_browser_mime "$2" "x-scheme-handler/$1" || return } # }}} GNOME 3.x # {{{ xfce get_url_scheme_handler_xfce() { exit_unimplemented_default_handler "$1" } check_url_scheme_handler_xfce() { exit_unimplemented_default_handler "$1" } set_url_scheme_handler_xfce() { exit_unimplemented_default_handler "$1" } # }}} xfce # }}} default protocol handler dispatch_specific() { # The PROP comments in this function are used to generate the output of # the --list option. The formatting is important. Make sure to line up the # property descriptions with spaces so that it will look nice. if [ x"$op" = x"get" ]; then case "$parm" in default-web-browser) # PROP: Default web browser get_browser_$DE ;; default-url-scheme-handler) # PROP: Default handler for URL scheme get_url_scheme_handler_$DE "$1" ;; *) exit_failure_syntax ;; esac elif [ x"$op" = x"check" ]; then case "$parm" in default-web-browser) check_desktop_filename "$1" check_browser_$DE "$1" ;; default-url-scheme-handler) check_desktop_filename "$2" check_url_scheme_handler_$DE "$1" "$2" ;; *) exit_failure_syntax ;; esac else # set case "$parm" in default-web-browser) [ $# -eq 1 ] || exit_failure_syntax "unexpected/missing argument" check_desktop_filename "$1" set_browser_$DE "$1" ;; default-url-scheme-handler) [ $# -eq 2 ] || exit_failure_syntax "unexpected/missing argument" check_desktop_filename "$2" set_url_scheme_handler_$DE "$1" "$2" ;; *) exit_failure_syntax ;; esac fi if [ $? -eq 0 ]; then exit_success else exit_failure_operation_failed fi } dispatch_generic() { # We only know how to get or check the default web browser. [ x"$op" != x"get" -a x"$op" != x"check" ] && exit_failure_operation_impossible [ x"$parm" != x"default-web-browser" ] && exit_failure_operation_impossible # First look in $BROWSER if [ x"$BROWSER" != x ]; then binary="`which "${BROWSER%%:*}"`" else # Debian and Ubuntu (and others?) have x-www-browser. binary="`which x-www-browser`" fi [ "$binary" ] || exit_failure_operation_failed binary="`readlink -f "$binary"`" [ "$binary" ] || exit_failure_operation_failed if [ x"$op" = x"get" ]; then desktop="`binary_to_desktop_file "$binary"`" basename "$desktop" else # $op = "check" check="`desktop_file_to_binary "$1"`" if [ -z "$check" ]; then echo no exit_success fi if [ x"$binary" != x"$check" ]; then echo no exit_success fi echo yes fi exit_success } if [ x"$1" = x"--list" ]; then echo "Known properties:" # Extract the property names from dispatch_specific() above. grep "^[ ]*[^)]*) # PROP:" "$0" | sed -e 's/^[ ]*\([^)]*\)) # PROP: \(.*\)$/ \1 \2/' | sort exit_success fi [ x"$1" != x ] || exit_failure_syntax "no operation given" [ x"$2" != x ] || exit_failure_syntax "no parameter name given" [ x"$1" = x"get" -o x"$3" != x ] || exit_failure_syntax "no parameter value given" op="$1" parm="$2" shift 2 if [ x"$op" != x"get" -a x"$op" != x"check" -a x"$op" != x"set" ]; then exit_failure_syntax "invalid operation" fi detectDE case "$DE" in kde|gnome*|xfce) dispatch_specific "$@" ;; generic) dispatch_generic "$@" ;; *) exit_failure_operation_impossible "unknown desktop environment" ;; esac
[+]
..
[-] cp
[edit]
[-] cpio
[edit]
[-] captoinfo
[edit]
[-] csplit
[edit]
[-] clear
[edit]
[-] cut
[edit]
[-] gzip
[edit]
[-] infocmp
[edit]
[-] fmt
[edit]
[-] zcat
[edit]
[-] infotocap
[edit]
[-] fold
[edit]
[-] zcmp
[edit]
[-] reset
[edit]
[-] groups
[edit]
[-] tabs
[edit]
[-] test
[edit]
[-] tic
[edit]
[-] timeout
[edit]
[-] toe
[edit]
[-] head
[edit]
[-] znew
[edit]
[-] tput
[edit]
[-] hostid
[edit]
[-] tset
[edit]
[-] id
[edit]
[-] lua
[edit]
[-] alias
[edit]
[-] install
[edit]
[-] bash
[edit]
[-] join
[edit]
[-] luac
[edit]
[-] bashbug
[edit]
[-] link
[edit]
[-] unxz
[edit]
[-] bashbug-64
[edit]
[-] touch
[edit]
[-] bg
[edit]
[-] tr
[edit]
[-] cd
[edit]
[-] ln
[edit]
[-] xz
[edit]
[-] command
[edit]
[-] true
[edit]
[-] fc
[edit]
[-] truncate
[edit]
[-] fg
[edit]
[-] logname
[edit]
[-] getopts
[edit]
[-] ls
[edit]
[-] find
[edit]
[-] jobs
[edit]
[-] md5sum
[edit]
[-] read
[edit]
[-] tsort
[edit]
[-] sh
[edit]
[-] mkdir
[edit]
[-] umask
[edit]
[-] mkfifo
[edit]
[-] unalias
[edit]
[-] mknod
[edit]
[-] wait
[edit]
[-] mktemp
[edit]
[-] catchsegv
[edit]
[-] mv
[edit]
[-] idn
[edit]
[-] gencat
[edit]
[-] nice
[edit]
[-] cmp
[edit]
[-] getent
[edit]
[-] nl
[edit]
[-] diff
[edit]
[-] iconv
[edit]
[-] tty
[edit]
[-] ldd
[edit]
[-] nohup
[edit]
[-] locale
[edit]
[-] nproc
[edit]
[-] localedef
[edit]
[-] numfmt
[edit]
[-] makedb
[edit]
[-] od
[edit]
[-] gio
[edit]
[-] pldd
[edit]
[-] paste
[edit]
[-] rpcgen
[edit]
[-] pathchk
[edit]
[-] sotruss
[edit]
[-] pinky
[edit]
[-] sprof
[edit]
[-] pr
[edit]
[-] eqn
[edit]
[-] tzselect
[edit]
[-] printenv
[edit]
[-] getconf
[edit]
[-] printf
[edit]
[-] info
[edit]
[-] ptx
[edit]
[-] geqn
[edit]
[-] infokey
[edit]
[-] uname
[edit]
[-] awk
[edit]
[-] pwd
[edit]
[-] gpic
[edit]
[-] dgawk
[edit]
[-] readlink
[edit]
[-] gawk
[edit]
[-] realpath
[edit]
[-] igawk
[edit]
[-] rm
[edit]
[-] gtbl
[edit]
[-] pgawk
[edit]
[-] unexpand
[edit]
[-] sed
[edit]
[-] rmdir
[edit]
[-] egrep
[edit]
[-] runcon
[edit]
[-] fgrep
[edit]
[-] seq
[edit]
[-] neqn
[edit]
[-] grep
[edit]
[-] sha1sum
[edit]
[-] p11-kit
[edit]
[-] sha224sum
[edit]
[-] trust
[edit]
[-] sha256sum
[edit]
[-] ca-legacy
[edit]
[-] false
[edit]
[-] pic
[edit]
[-] update-ca-trust
[edit]
[-] uniq
[edit]
[-] [
[edit]
[-] sha384sum
[edit]
[-] arch
[edit]
[-] sha512sum
[edit]
[-] base64
[edit]
[-] shred
[edit]
[-] basename
[edit]
[-] unlink
[edit]
[-] cat
[edit]
[-] shuf
[edit]
[-] tbl
[edit]
[-] chcon
[edit]
[-] sleep
[edit]
[-] chgrp
[edit]
[-] sort
[edit]
[-] file
[edit]
[-] chmod
[edit]
[-] split
[edit]
[-] chown
[edit]
[-] stat
[edit]
[-] a2p
[edit]
[-] cksum
[edit]
[-] stdbuf
[edit]
[-] comm
[edit]
[-] date
[edit]
[-] users
[edit]
[-] dd
[edit]
[-] vdir
[edit]
[-] df
[edit]
[-] wc
[edit]
[-] dir
[edit]
[-] stty
[edit]
[-] h2ph
[edit]
[-] dircolors
[edit]
[-] sum
[edit]
[-] c2ph
[edit]
[-] dirname
[edit]
[-] who
[edit]
[-] du
[edit]
[-] sync
[edit]
[-] perl
[edit]
[-] echo
[edit]
[-] whoami
[edit]
[-] env
[edit]
[-] tac
[edit]
[-] psed
[edit]
[-] expand
[edit]
[-] tail
[edit]
[-] s2p
[edit]
[-] expr
[edit]
[-] tee
[edit]
[-] lz4
[edit]
[-] factor
[edit]
[-] xmlcatalog
[edit]
[-] yes
[edit]
[-] setup-nsssysinit
[edit]
[-] xmllint
[edit]
[-] setup-nsssysinit.sh
[edit]
[-] libtar
[edit]
[-] mail
[edit]
[-] size
[edit]
[-] gpg-error
[edit]
[-] mailx
[edit]
[-] which
[edit]
[-] Mail
[edit]
[-] gtar
[edit]
[-] xmlwf
[edit]
[-] nail
[edit]
[-] tar
[edit]
[-] sqlite3
[edit]
[-] nf-ct-list
[edit]
[-] gunzip
[edit]
[-] nf-ct-add
[edit]
[-] gzexe
[edit]
[-] nf-exp-add
[edit]
[-] zdiff
[edit]
[-] nf-log
[edit]
[-] zegrep
[edit]
[-] nf-exp-delete
[edit]
[-] zfgrep
[edit]
[-] nf-exp-list
[edit]
[-] zforce
[edit]
[-] nf-monitor
[edit]
[-] zgrep
[edit]
[-] nf-queue
[edit]
[-] zless
[edit]
[-] nl-addr-add
[edit]
[-] zmore
[edit]
[-] nl-addr-list
[edit]
[-] xzcat
[edit]
[-] nl-addr-delete
[edit]
[-] xzcmp
[edit]
[-] nl-fib-lookup
[edit]
[-] xzdec
[edit]
[-] nl-link-enslave
[edit]
[-] xzdiff
[edit]
[-] nl-link-ifindex2name
[edit]
[-] xzegrep
[edit]
[-] nl-link-name2ifindex
[edit]
[-] xzfgrep
[edit]
[-] nl-link-release
[edit]
[-] xzgrep
[edit]
[-] nl-list-caches
[edit]
[-] xzless
[edit]
[-] nl-link-set
[edit]
[-] xzmore
[edit]
[-] nl-link-stats
[edit]
[-] oldfind
[edit]
[-] nl-list-sockets
[edit]
[-] xargs
[edit]
[-] nl-neigh-delete
[edit]
[-] diff3
[edit]
[-] nl-monitor
[edit]
[-] sdiff
[edit]
[-] csslint-0.6
[edit]
[-] last
[edit]
[-] gapplication
[edit]
[-] nl-neigh-add
[edit]
[-] gdbus
[edit]
[-] unlz4
[edit]
[-] mesg
[edit]
[-] gio-querymodules-64
[edit]
[-] python2.7
[edit]
[-] ranlib
[edit]
[-] glib-compile-schemas
[edit]
[-] nl-neigh-list
[edit]
[-] gsettings
[edit]
[-] lz4c
[edit]
[-] nl-neightbl-list
[edit]
[-] update-mime-database
[edit]
[-] nl-route-add
[edit]
[-] pkg-config
[edit]
[-] nl-route-delete
[edit]
[-] gneqn
[edit]
[-] nl-route-get
[edit]
[-] gnroff
[edit]
[-] nl-route-list
[edit]
[-] groff
[edit]
[-] nl-rule-list
[edit]
[-] grops
[edit]
[-] nl-tctree-list
[edit]
[-] grotty
[edit]
[-] nl-util-addr
[edit]
[-] gsoelim
[edit]
[-] genl-ctrl-list
[edit]
[-] gtroff
[edit]
[-] nl-class-add
[edit]
[-] nroff
[edit]
[-] idiag-socket-details
[edit]
[-] post-grohtml
[edit]
[-] nl-class-delete
[edit]
[-] pre-grohtml
[edit]
[-] nl-class-list
[edit]
[-] preconv
[edit]
[-] nl-classid-lookup
[edit]
[-] soelim
[edit]
[-] nl-pktloc-lookup
[edit]
[-] troff
[edit]
[-] nl-cls-add
[edit]
[-] zsoelim
[edit]
[-] nl-cls-delete
[edit]
[-] hunspell
[edit]
[-] nl-cls-list
[edit]
[-] geoiplookup
[edit]
[-] pwmake
[edit]
[-] wall
[edit]
[-] geoiplookup6
[edit]
[-] nl-link-list
[edit]
[-] geoipupdate
[edit]
[-] nl-qdisc-add
[edit]
[-] testgdbm
[edit]
[-] nl-qdisc-delete
[edit]
[-] pod2man
[edit]
[-] nl-qdisc-list
[edit]
[-] pod2text
[edit]
[-] ar
[edit]
[-] gdb
[edit]
[-] perldoc
[edit]
[-] addr2line
[edit]
[-] piconv
[edit]
[-] as
[edit]
[-] less
[edit]
[-] pod2usage
[edit]
[-] c++filt
[edit]
[-] find2perl
[edit]
[-] dwp
[edit]
[-] curl
[edit]
[-] pl2pm
[edit]
[-] elfedit
[edit]
[-] pod2html
[edit]
[-] gprof
[edit]
[-] splain
[edit]
[-] ld.bfd
[edit]
[-] pstruct
[edit]
[-] nm
[edit]
[-] rpm
[edit]
[-] perl5.16.3
[edit]
[-] python2
[edit]
[-] pwscore
[edit]
[-] ex
[edit]
[-] perlbug
[edit]
[-] perlthanks
[edit]
[-] objdump
[edit]
[-] pydoc
[edit]
[-] objcopy
[edit]
[-] python
[edit]
[-] ld
[edit]
[-] rvi
[edit]
[-] lz4cat
[edit]
[-] readelf
[edit]
[-] strings
[edit]
[-] strip
[edit]
[-] ld.gold
[edit]
[-] rpm2cpio
[edit]
[-] whiptail
[edit]
[-] rpmdb
[edit]
[-] lastb
[edit]
[-] bzcat
[edit]
[-] cal
[edit]
[-] json_reformat
[edit]
[-] rpmkeys
[edit]
[-] json_verify
[edit]
[-] bzcmp
[edit]
[-] chfn
[edit]
[-] dnsdomainname
[edit]
[-] rpmquery
[edit]
[-] domainname
[edit]
[-] rpmverify
[edit]
[-] hostname
[edit]
[-] bzdiff
[edit]
[-] chrt
[edit]
[-] nisdomainname
[edit]
[-] bzgrep
[edit]
[-] chsh
[edit]
[-] ypdomainname
[edit]
[-] bzip2
[edit]
[-] col
[edit]
[-] iptables-xml
[edit]
[-] lchfn
[edit]
[-] envsubst
[edit]
[-] lchsh
[edit]
[-] gettext
[edit]
[-] passwd
[edit]
[-] gettext.sh
[edit]
[-] urlgrabber
[edit]
[-] msgattrib
[edit]
[-] keyctl
[edit]
[-] msgcat
[edit]
[-] rview
[edit]
[-] msgcmp
[edit]
[-] chacl
[edit]
[-] msgcomm
[edit]
[-] view
[edit]
[-] i386
[edit]
[-] msgconv
[edit]
[-] getfacl
[edit]
[-] msgen
[edit]
[-] setfacl
[edit]
[-] msgexec
[edit]
[-] attr
[edit]
[-] ipcs
[edit]
[-] msgfilter
[edit]
[-] getfattr
[edit]
[-] msgfmt
[edit]
[-] setfattr
[edit]
[-] msggrep
[edit]
[-] gmake
[edit]
[-] msghack
[edit]
[-] make
[edit]
[-] kill
[edit]
[-] msginit
[edit]
[-] openssl
[edit]
[-] msgmerge
[edit]
[-] pinentry
[edit]
[-] msgunfmt
[edit]
[-] gpg-agent
[edit]
[-] msguniq
[edit]
[-] pinentry-curses
[edit]
[-] ngettext
[edit]
[-] bzip2recover
[edit]
[-] look
[edit]
[-] recode-sr-latin
[edit]
[-] gpg
[edit]
[-] lsns
[edit]
[-] xgettext
[edit]
[-] gpg2
[edit]
[-] more
[edit]
[-] teamnl
[edit]
[-] gpg-connect-agent
[edit]
[-] certutil
[edit]
[-] gpg-zip
[edit]
[-] cmsutil
[edit]
[-] gpgconf
[edit]
[-] crlutil
[edit]
[-] gpgv
[edit]
[-] raw
[edit]
[-] modutil
[edit]
[-] gpgparsemail
[edit]
[-] pk12util
[edit]
[-] gpgsplit
[edit]
[-] berkeley_db47_svc
[edit]
[-] gpgv2
[edit]
[-] signver
[edit]
[-] watchgnupg
[edit]
[-] ssltap
[edit]
[-] yum
[edit]
[-] rev
[edit]
[-] pflags
[edit]
[-] lsscsi
[edit]
[-] chardetect
[edit]
[-] ndptool
[edit]
[-] pchrt
[edit]
[-] chage
[edit]
[-] ptaskset
[edit]
[-] gpasswd
[edit]
[-] gcore
[edit]
[-] bzless
[edit]
[-] su
[edit]
[-] gdb-add-index
[edit]
[-] lastlog
[edit]
[-] gstack
[edit]
[-] newgrp
[edit]
[-] pstack
[edit]
[-] sg
[edit]
[-] ul
[edit]
[-] lessecho
[edit]
[-] free
[edit]
[-] kmod
[edit]
[-] lesskey
[edit]
[-] pgrep
[edit]
[-] lesspipe.sh
[edit]
[-] pkill
[edit]
[-] db_archive
[edit]
[-] bzmore
[edit]
[-] ping
[edit]
[-] db_checkpoint
[edit]
[-] pmap
[edit]
[-] lsmd
[edit]
[-] db_deadlock
[edit]
[-] ps
[edit]
[-] xxd
[edit]
[-] db_dump
[edit]
[-] pwdx
[edit]
[-] chvt
[edit]
[-] db_dump185
[edit]
[-] aserver
[edit]
[-] open
[edit]
[-] db_hotbackup
[edit]
[-] skill
[edit]
[-] db_load
[edit]
[-] fipscheck
[edit]
[-] vdo
[edit]
[-] db_log_verify
[edit]
[-] slabtop
[edit]
[-] db_printlog
[edit]
[-] snice
[edit]
[-] db_recover
[edit]
[-] fipshmac
[edit]
[-] rvim
[edit]
[-] db_replicate
[edit]
[-] tload
[edit]
[-] db_stat
[edit]
[-] top
[edit]
[-] vim
[edit]
[-] db_tuner
[edit]
[-] vmstat
[edit]
[-] db_upgrade
[edit]
[-] uptime
[edit]
[-] db_verify
[edit]
[-] scriptreplay
[edit]
[-] bunzip2
[edit]
[-] w
[edit]
[-] vi
[edit]
[-] watch
[edit]
[-] chmem
[edit]
[-] colcrt
[edit]
[-] colrm
[edit]
[-] column
[edit]
[-] dmesg
[edit]
[-] eject
[edit]
[-] fallocate
[edit]
[-] findmnt
[edit]
[-] flock
[edit]
[-] getopt
[edit]
[-] hexdump
[edit]
[-] ionice
[edit]
[-] ipcmk
[edit]
[-] ipcrm
[edit]
[-] isosize
[edit]
[-] linux32
[edit]
[-] linux64
[edit]
[-] logger
[edit]
[-] login
[edit]
[-] lsblk
[edit]
[-] lscpu
[edit]
[-] lsipc
[edit]
[-] lslocks
[edit]
[-] lslogins
[edit]
[-] lsmem
[edit]
[-] mcookie
[edit]
[-] mount
[edit]
[-] mountpoint
[edit]
[-] namei
[edit]
[-] nsenter
[edit]
[-] prlimit
[edit]
[-] rename
[edit]
[-] renice
[edit]
[-] script
[edit]
[-] run-parts
[edit]
[-] setarch
[edit]
[-] crontab
[edit]
[-] setpriv
[edit]
[-] dbus-binding-tool
[edit]
[-] setsid
[edit]
[-] grub2-editenv
[edit]
[-] setterm
[edit]
[-] ssh-keygen
[edit]
[-] tailf
[edit]
[-] secon
[edit]
[-] taskset
[edit]
[-] sim_lsmplugin
[edit]
[-] umount
[edit]
[-] lsmcli
[edit]
[-] unshare
[edit]
[-] simc_lsmplugin
[edit]
[-] utmpdump
[edit]
[-] reporter-mantisbt
[edit]
[-] uuidgen
[edit]
[-] linux-boot-prober
[edit]
[-] wdctl
[edit]
[-] os-prober
[edit]
[-] whereis
[edit]
[-] grub2-file
[edit]
[-] write
[edit]
[-] grub2-menulst2cfg
[edit]
[-] x86_64
[edit]
[-] grub2-mkrelpath
[edit]
[-] dracut
[edit]
[-] grub2-render-label
[edit]
[-] lsinitrd
[edit]
[-] grub2-script-check
[edit]
[-] mkinitrd
[edit]
[-] kdumpctl
[edit]
[-] bootctl
[edit]
[-] grub2-fstest
[edit]
[-] busctl
[edit]
[-] grub2-glue-efi
[edit]
[-] coredumpctl
[edit]
[-] grub2-kbdcomp
[edit]
[-] hostnamectl
[edit]
[-] grub2-mkfont
[edit]
[-] journalctl
[edit]
[-] dbus-send
[edit]
[-] scp
[edit]
[-] kernel-install
[edit]
[-] grub2-mkimage
[edit]
[-] localectl
[edit]
[-] grub2-mklayout
[edit]
[-] loginctl
[edit]
[-] grub2-mknetdir
[edit]
[-] machinectl
[edit]
[-] grub2-mkrescue
[edit]
[-] systemctl
[edit]
[-] dbus-test-tool
[edit]
[-] systemd-analyze
[edit]
[-] dbus-daemon
[edit]
[-] nm-online
[edit]
[-] systemd-ask-password
[edit]
[-] grub2-mkstandalone
[edit]
[-] systemd-cat
[edit]
[-] dbus-uuidgen
[edit]
[-] sftp
[edit]
[-] systemd-cgls
[edit]
[-] satyr
[edit]
[-] ssh
[edit]
[-] systemd-cgtop
[edit]
[-] pkaction
[edit]
[-] sadf
[edit]
[-] systemd-coredumpctl
[edit]
[-] pkcheck
[edit]
[-] sar
[edit]
[-] systemd-delta
[edit]
[-] pkexec
[edit]
[-] ac
[edit]
[-] systemd-detect-virt
[edit]
[-] pkttyagent
[edit]
[-] at
[edit]
[-] systemd-escape
[edit]
[-] pkla-admin-identities
[edit]
[-] systemd-firstboot
[edit]
[-] pkla-check-authorization
[edit]
[-] systemd-hwdb
[edit]
[-] systemd-sysv-convert
[edit]
[-] systemd-inhibit
[edit]
[-] ping6
[edit]
[-] atq
[edit]
[-] systemd-loginctl
[edit]
[-] dbus-monitor
[edit]
[-] nmcli
[edit]
[-] systemd-machine-id-setup
[edit]
[-] tracepath
[edit]
[-] atrm
[edit]
[-] systemd-notify
[edit]
[-] tracepath6
[edit]
[-] man
[edit]
[-] systemd-nspawn
[edit]
[-] ipcalc
[edit]
[-] tmon
[edit]
[-] systemd-path
[edit]
[-] grub2-syslinux2cfg
[edit]
[-] systemd-run
[edit]
[-] dbus-run-session
[edit]
[-] sudo
[edit]
[-] systemd-stdio-bridge
[edit]
[-] usleep
[edit]
[-] dig
[edit]
[-] systemd-tmpfiles
[edit]
[-] mixartloader
[edit]
[-] abrt-cli
[edit]
[-] systemd-tty-ask-password-agent
[edit]
[-] reporter-ureport
[edit]
[-] timedatectl
[edit]
[-] reporter-rhtsupport
[edit]
[-] udevadm
[edit]
[-] dbus-cleanup-sockets
[edit]
[-] report-cli
[edit]
[-] dbus-update-activation-environment
[edit]
[-] grub2-mkpasswd-pbkdf2
[edit]
[-] abrt-action-analyze-xorg
[edit]
[-] abrt-action-notify
[edit]
[-] abrt-action-save-package-data
[edit]
[-] abrt-handle-upload
[edit]
[-] abrt-watch-log
[edit]
[-] abrt-action-analyze-oops
[edit]
[-] abrt-action-save-kernel-data
[edit]
[-] abrt-dump-oops
[edit]
[-] abrt-merge-pstoreoops
[edit]
[-] abrt-action-analyze-vmcore
[edit]
[-] abrt-action-check-oops-for-hw-error
[edit]
[-] abrt-dump-xorg
[edit]
[-] abrt-retrace-client
[edit]
[-] netstat
[edit]
[-] xdg-settings
[edit]
[-] nmtui
[edit]
[-] abrt-action-analyze-python
[edit]
[-] hdsploader
[edit]
[-] setkeycodes
[edit]
[-] usx2yloader
[edit]
[-] setleds
[edit]
[-] vxloader
[edit]
[-] setmetamode
[edit]
[-] bond2team
[edit]
[-] setvtrgb
[edit]
[-] teamd
[edit]
[-] showconsolefont
[edit]
[-] teamdctl
[edit]
[-] showkey
[edit]
[-] plymouth
[edit]
[-] mapscrn
[edit]
[-] host
[edit]
[-] eu-addr2line
[edit]
[-] vlock
[edit]
[-] eu-ar
[edit]
[-] on_ac_power
[edit]
[-] eu-elfcmp
[edit]
[-] loadunimap
[edit]
[-] btt
[edit]
[-] eu-elfcompress
[edit]
[-] pm-is-supported
[edit]
[-] eu-elflint
[edit]
[-] psfaddtable
[edit]
[-] wget
[edit]
[-] eu-findtextrel
[edit]
[-] dumpkeys
[edit]
[-] nmtui-edit
[edit]
[-] eu-make-debug-archive
[edit]
[-] vdodumpconfig
[edit]
[-] eu-nm
[edit]
[-] vdoforcerebuild
[edit]
[-] eu-objdump
[edit]
[-] vdoformat
[edit]
[-] eu-ranlib
[edit]
[-] vdoprepareupgrade
[edit]
[-] eu-readelf
[edit]
[-] vdoreadonly
[edit]
[-] eu-size
[edit]
[-] vdostats
[edit]
[-] eu-stack
[edit]
[-] vimdiff
[edit]
[-] eu-strings
[edit]
[-] vimtutor
[edit]
[-] eu-strip
[edit]
[-] pinfo
[edit]
[-] eu-unstrip
[edit]
[-] xdg-desktop-icon
[edit]
[-] quota
[edit]
[-] abrt-action-analyze-backtrace
[edit]
[-] kbd_mode
[edit]
[-] quotasync
[edit]
[-] abrt-action-analyze-c
[edit]
[-] xdg-desktop-menu
[edit]
[-] cifscreds
[edit]
[-] abrt-action-analyze-ccpp-local
[edit]
[-] loadkeys
[edit]
[-] getcifsacl
[edit]
[-] abrt-action-analyze-core
[edit]
[-] xdg-email
[edit]
[-] firewall-offline-cmd
[edit]
[-] abrt-action-analyze-vulnerability
[edit]
[-] xdg-icon-resource
[edit]
[-] setcifsacl
[edit]
[-] abrt-action-generate-backtrace
[edit]
[-] xdg-mime
[edit]
[-] setup
[edit]
[-] abrt-action-generate-core-backtrace
[edit]
[-] xdg-open
[edit]
[-] firewall-cmd
[edit]
[-] abrt-action-install-debuginfo
[edit]
[-] setfont
[edit]
[-] ssh-agent
[edit]
[-] abrt-action-list-dsos
[edit]
[-] xdg-screensaver
[edit]
[-] slogin
[edit]
[-] abrt-action-perform-ccpp-analysis
[edit]
[-] unicode_start
[edit]
[-] bc
[edit]
[-] abrt-action-trim-files
[edit]
[-] openvt
[edit]
[-] dc
[edit]
[-] consolehelper
[edit]
[-] unicode_stop
[edit]
[-] ssh-add
[edit]
[-] gdk-pixbuf-query-loaders-64
[edit]
[-] deallocvt
[edit]
[-] ssh-copy-id
[edit]
[-] gdk-pixbuf-thumbnailer
[edit]
[-] psfgettable
[edit]
[-] zip
[edit]
[-] fprintd-delete
[edit]
[-] psfstriptable
[edit]
[-] fprintd-enroll
[edit]
[-] psfxtable
[edit]
[-] csh
[edit]
[-] fprintd-list
[edit]
[-] rsyslog-recover-qi.pl
[edit]
[-] fprintd-verify
[edit]
[-] resizecons
[edit]
[-] tcsh
[edit]
[-] desktop-file-edit
[edit]
[-] fgconsole
[edit]
[-] ssh-keyscan
[edit]
[-] desktop-file-install
[edit]
[-] getkeycodes
[edit]
[-] lsusb
[edit]
[-] desktop-file-validate
[edit]
[-] kbdinfo
[edit]
[-] lsusb.py
[edit]
[-] update-desktop-database
[edit]
[-] nmtui-connect
[edit]
[-] kbdrate
[edit]
[-] usb-devices
[edit]
[-] nsupdate
[edit]
[-] nano
[edit]
[-] nmtui-hostname
[edit]
[-] scsi_temperature
[edit]
[-] usbhid-dump
[edit]
[-] sg_compare_and_write
[edit]
[-] cifsiostat
[edit]
[-] sg_copy_results
[edit]
[-] iostat
[edit]
[-] sg_decode_sense
[edit]
[-] mpstat
[edit]
[-] blkiomon
[edit]
[-] time
[edit]
[-] nfsiostat-sysstat
[edit]
[-] sg_emc_trespass
[edit]
[-] pidstat
[edit]
[-] sg_get_lba_status
[edit]
[-] tapestat
[edit]
[-] sg_format
[edit]
[-] locate
[edit]
[-] sg_get_config
[edit]
[-] updatedb
[edit]
[-] sg_inq
[edit]
[-] aulast
[edit]
[-] sg_ident
[edit]
[-] aulastlog
[edit]
[-] sg_logs
[edit]
[-] ausyscall
[edit]
[-] sg_luns
[edit]
[-] auvirt
[edit]
[-] blkparse
[edit]
[-] ed
[edit]
[-] fc-conflist
[edit]
[-] blkrawverify
[edit]
[-] red
[edit]
[-] fc-list
[edit]
[-] blktrace
[edit]
[-] scl
[edit]
[-] fc-cache
[edit]
[-] fc-cache-64
[edit]
[-] fc-cat
[edit]
[-] fc-match
[edit]
[-] sg_map
[edit]
[-] lastcomm
[edit]
[-] bno_plot.py
[edit]
[-] delv
[edit]
[-] reporter-mailx
[edit]
[-] sg_map26
[edit]
[-] rsync
[edit]
[-] sg_modes
[edit]
[-] batch
[edit]
[-] sg_opcodes
[edit]
[-] rngtest
[edit]
[-] sg_persist
[edit]
[-] chronyc
[edit]
[-] sg_prevent
[edit]
[-] stap-merge
[edit]
[-] sg_raw
[edit]
[-] stap-report
[edit]
[-] sg_rbuf
[edit]
[-] stapdyn
[edit]
[-] sg_rdac
[edit]
[-] staprun
[edit]
[-] sg_read
[edit]
[-] stapsh
[edit]
[-] sg_read_buffer
[edit]
[-] apropos
[edit]
[-] sg_read_block_limits
[edit]
[-] catman
[edit]
[-] sg_read_long
[edit]
[-] lexgrog
[edit]
[-] sg_reassign
[edit]
[-] mandb
[edit]
[-] sg_readcap
[edit]
[-] manpath
[edit]
[-] sg_reset
[edit]
[-] whatis
[edit]
[-] btrace
[edit]
[-] mdig
[edit]
[-] debuginfo-install
[edit]
[-] sudoreplay
[edit]
[-] sg_sync
[edit]
[-] find-repos-of-install
[edit]
[-] btrecord
[edit]
[-] cpp
[edit]
[-] needs-restarting
[edit]
[-] btreplay
[edit]
[-] c89
[edit]
[-] package-cleanup
[edit]
[-] sg_referrals
[edit]
[-] repo-graph
[edit]
[-] sg_requests
[edit]
[-] repo-rss
[edit]
[-] sg_rmsn
[edit]
[-] repoclosure
[edit]
[-] sg_rtpg
[edit]
[-] repodiff
[edit]
[-] sg_safte
[edit]
[-] repomanage
[edit]
[-] sg_sanitize
[edit]
[-] repoquery
[edit]
[-] sg_sat_phy_event
[edit]
[-] reposync
[edit]
[-] sg_sat_identify
[edit]
[-] repotrack
[edit]
[-] verify_blkparse
[edit]
[-] show-changed-rco
[edit]
[-] rescan-scsi-bus.sh
[edit]
[-] show-installed
[edit]
[-] sg_sat_set_features
[edit]
[-] verifytree
[edit]
[-] scsi-rescan
[edit]
[-] c99
[edit]
[-] yum-builddep
[edit]
[-] scsi_logging_level
[edit]
[-] yum-config-manager
[edit]
[-] scsi_mandat
[edit]
[-] cc
[edit]
[-] yum-debug-dump
[edit]
[-] scsi_readcap
[edit]
[-] gcov
[edit]
[-] yum-debug-restore
[edit]
[-] scsi_ready
[edit]
[-] gcc
[edit]
[-] yum-groups-manager
[edit]
[-] scsi_satl
[edit]
[-] php
[edit]
[-] yumdownloader
[edit]
[-] scsi_start
[edit]
[-] ab
[edit]
[-] centrino-decode
[edit]
[-] sg_senddiag
[edit]
[-] cpupower
[edit]
[-] scsi_stop
[edit]
[-] m4
[edit]
[-] powernow-k8-decode
[edit]
[-] sg_scan
[edit]
[-] turbostat
[edit]
[-] nslookup
[edit]
[-] sg_turs
[edit]
[-] x86_energy_perf_policy
[edit]
[-] sg_ses
[edit]
[-] chattr
[edit]
[-] sg_start
[edit]
[-] lsattr
[edit]
[-] sg_stpg
[edit]
[-] sudoedit
[edit]
[-] sg_test_rwbuf
[edit]
[-] sg_dd
[edit]
[-] js
[edit]
[-] zipmerge
[edit]
[-] sg_unmap
[edit]
[-] ziptorrent
[edit]
[-] sg_verify
[edit]
[-] xsltproc
[edit]
[-] sg_vpd
[edit]
[-] patch
[edit]
[-] sg_wr_mode
[edit]
[-] gcc-nm
[edit]
[-] git
[edit]
[-] sg_write_buffer
[edit]
[-] gcc-ranlib
[edit]
[-] uapi
[edit]
[-] sg_write_long
[edit]
[-] easy_install
[edit]
[-] ptar
[edit]
[-] sg_write_same
[edit]
[-] lsphp
[edit]
[-] sg_xcopy
[edit]
[-] ea-php74
[edit]
[-] sginfo
[edit]
[-] ea-php80
[edit]
[-] sgm_dd
[edit]
[-] htdbm
[edit]
[-] sgp_dd
[edit]
[-] htdigest
[edit]
[-] zipcloak
[edit]
[-] htpasswd
[edit]
[-] zipnote
[edit]
[-] httxt2dbm
[edit]
[-] zipsplit
[edit]
[-] logresolve
[edit]
[-] funzip
[edit]
[-] prove
[edit]
[-] unzipsfx
[edit]
[-] autoconf
[edit]
[-] zipgrep
[edit]
[-] autom4te
[edit]
[-] autoheader
[edit]
[-] unzip
[edit]
[-] zipinfo
[edit]
[-] autoreconf
[edit]
[-] rnano
[edit]
[-] autoscan
[edit]
[-] rdate
[edit]
[-] autoupdate
[edit]
[-] strace
[edit]
[-] x86_64-redhat-linux-gcc
[edit]
[-] strace-log-merge
[edit]
[-] ifnames
[edit]
[-] scl_enabled
[edit]
[-] aclocal
[edit]
[-] scl_source
[edit]
[-] ea-php80-pear
[edit]
[-] setserial
[edit]
[-] easy_install-2.7
[edit]
[-] tcptraceroute
[edit]
[-] aclocal-1.13
[edit]
[-] traceroute
[edit]
[-] automake
[edit]
[-] traceroute6
[edit]
[-] automake-1.13
[edit]
[-] newgidmap
[edit]
[-] ea-php80-pecl
[edit]
[-] newuidmap
[edit]
[-] annotate
[edit]
[-] h2xs
[edit]
[-] nss-policy-check
[edit]
[-] ea-php74-pear
[edit]
[-] nettle-hash
[edit]
[-] bdftogd
[edit]
[-] wish
[edit]
[-] nettle-lfib-stream
[edit]
[-] ea-php74-pecl
[edit]
[-] pkcs1-conv
[edit]
[-] elinks
[edit]
[-] sexp-conv
[edit]
[-] links
[edit]
[-] vdo-by-dev
[edit]
[-] mysqlbinlog
[edit]
[-] vdodmeventd
[edit]
[-] gd2copypal
[edit]
[-] GET
[edit]
[-] page_owner_sort
[edit]
[-] mysql
[edit]
[-] slabinfo
[edit]
[-] mysql_config_editor
[edit]
[-] cvtsudoers
[edit]
[-] mysqladmin
[edit]
[-] stapbpf
[edit]
[-] killall
[edit]
[-] peekfd
[edit]
[-] prtstat
[edit]
[-] pstree
[edit]
[-] pstree.x11
[edit]
[-] fc-pattern
[edit]
[-] fc-query
[edit]
[-] fc-scan
[edit]
[-] fc-validate
[edit]
[-] checkmodule
[edit]
[-] checkpolicy
[edit]
[-] sedismod
[edit]
[-] sedispol
[edit]
[-] gd2togif
[edit]
[-] HEAD
[edit]
[-] db47_archive
[edit]
[-] gd2topng
[edit]
[-] POST
[edit]
[-] db47_checkpoint
[edit]
[-] gdcmpgif
[edit]
[-] cpan
[edit]
[-] db47_codegen
[edit]
[-] gdparttopng
[edit]
[-] cxpm
[edit]
[-] db47_deadlock
[edit]
[-] mysqlcheck
[edit]
[-] db47_dump
[edit]
[-] gdtopng
[edit]
[-] sxpm
[edit]
[-] db47_hotbackup
[edit]
[-] mysqldump
[edit]
[-] db47_load
[edit]
[-] giftogd2
[edit]
[-] xrdb
[edit]
[-] db47_printlog
[edit]
[-] pngtogd
[edit]
[-] xset
[edit]
[-] db47_recover
[edit]
[-] mysqlimport
[edit]
[-] db47_stat
[edit]
[-] pngtogd2
[edit]
[-] gs
[edit]
[-] db47_upgrade
[edit]
[-] mysqlpump
[edit]
[-] db47_verify
[edit]
[-] mysqlshow
[edit]
[-] audit2allow
[edit]
[-] mysqlslap
[edit]
[-] audit2why
[edit]
[-] lz4_decompress
[edit]
[-] chcat
[edit]
[-] innochecksum
[edit]
[-] sandbox
[edit]
[-] webpng
[edit]
[-] gsbj
[edit]
[-] semodule_package
[edit]
[-] my_print_defaults
[edit]
[-] arpaname
[edit]
[-] zipcmp
[edit]
[-] gsdj
[edit]
[-] named-rrchecker
[edit]
[-] gcc-ar
[edit]
[-] myisamchk
[edit]
[-] xgamma
[edit]
[-] c++
[edit]
[-] myisam_ftdump
[edit]
[-] cairo-sphinx
[edit]
[-] myisamlog
[edit]
[-] pcre-config
[edit]
[-] myisampack
[edit]
[-] xhost
[edit]
[-] g++
[edit]
[-] mysql_install_db
[edit]
[-] xinput
[edit]
[-] 2to3
[edit]
[-] mysql_plugin
[edit]
[-] pygettext.py
[edit]
[-] idle
[edit]
[-] mysql_secure_installation
[edit]
[-] xkill
[edit]
[-] flex
[edit]
[-] mysql_ssl_rsa_setup
[edit]
[-] xmodmap
[edit]
[-] lex
[edit]
[-] mysql_tzinfo_to_sql
[edit]
[-] xrandr
[edit]
[-] ftp
[edit]
[-] mysql_upgrade
[edit]
[-] xrefresh
[edit]
[-] pftp
[edit]
[-] mysqld_pre_systemd
[edit]
[-] xsetmode
[edit]
[-] dpkg
[edit]
[-] mysqldumpslow
[edit]
[-] gr2fonttest
[edit]
[-] perror
[edit]
[-] pango-list
[edit]
[-] replace
[edit]
[-] xsetpointer
[edit]
[-] resolve_stack_dump
[edit]
[-] pango-view
[edit]
[-] resolveip
[edit]
[-] xsetroot
[edit]
[-] zlib_decompress
[edit]
[-] xstdcmap
[edit]
[-] mysql_config
[edit]
[-] bdftopcf
[edit]
[-] mysql_config-64
[edit]
[-] paperconf
[edit]
[-] doveadm
[edit]
[-] gpg-error-config
[edit]
[-] doveconf
[edit]
[-] bdftruncate
[edit]
[-] dovecot-sysreport
[edit]
[-] dumpsexp
[edit]
[-] dsync
[edit]
[-] git-receive-pack
[edit]
[-] git-shell
[edit]
[-] git-upload-archive
[edit]
[-] git-upload-pack
[edit]
[-] hmac256
[edit]
[-] perlml
[edit]
[-] fonttosfnt
[edit]
[-] pdns_control
[edit]
[-] libgcrypt-config
[edit]
[-] pdnsutil
[edit]
[-] gss-client
[edit]
[-] zone2json
[edit]
[-] krb5-config
[edit]
[-] zone2sql
[edit]
[-] cpapi1
[edit]
[-] cpapi2
[edit]
[-] cpapi3
[edit]
[-] sim_client
[edit]
[-] corelist
[edit]
[-] uuclient
[edit]
[-] podselect
[edit]
[-] autopoint
[edit]
[-] shasum
[edit]
[-] gettextize
[edit]
[-] json_pp
[edit]
[-] python-config
[edit]
[-] zipdetails
[edit]
[-] python2-config
[edit]
[-] ptardiff
[edit]
[-] python2.7-config
[edit]
[-] ptargrep
[edit]
[-] xslt-config
[edit]
[-] podchecker
[edit]
[-] bind9-config
[edit]
[-] pod2latex
[edit]
[-] isc-config.sh
[edit]
[-] dbilogstrip
[edit]
[-] gdlib-config
[edit]
[-] dbiprof
[edit]
[-] dvipdf
[edit]
[-] dbiproxy
[edit]
[-] eps2eps
[edit]
[-] dtrace
[edit]
[-] ghostscript
[edit]
[-] instmodsh
[edit]
[-] gsdj500
[edit]
[-] xsubpp
[edit]
[-] gslj
[edit]
[-] libnetcfg
[edit]
[-] gslp
[edit]
[-] perlivp
[edit]
[-] gsnd
[edit]
[-] config_data
[edit]
[-] lprsetup.sh
[edit]
[-] cpan2dist
[edit]
[-] pdf2dsc
[edit]
[-] cpanp
[edit]
[-] mkfontdir
[edit]
[-] cpanp-run-perl
[edit]
[-] mkfontscale
[edit]
[-] lwp-download
[edit]
[-] pdf2ps
[edit]
[-] lwp-dump
[edit]
[-] pf2afm
[edit]
[-] lwp-mirror
[edit]
[-] pfbtopfa
[edit]
[-] lwp-request
[edit]
[-] cpan-mirrors
[edit]
[-] pphs
[edit]
[-] tclsh
[edit]
[-] printafm
[edit]
[-] tclsh8.5
[edit]
[-] ucs2any
[edit]
[-] libpng-config
[edit]
[-] xorg-x11-fonts-update-dirs
[edit]
[-] libpng15-config
[edit]
[-] xml2-config
[edit]
[-] freetype-config
[edit]
[-] ps2ascii
[edit]
[-] wish8.5
[edit]
[-] ps2epsi
[edit]
[-] compile_et
[edit]
[-] ps2pdf
[edit]
[-] iceauth
[edit]
[-] ps2pdf12
[edit]
[-] sessreg
[edit]
[-] ps2pdf13
[edit]
[-] showrgb
[edit]
[-] fribidi
[edit]
[-] pango-querymodules-64
[edit]
[-] ps2pdf14
[edit]
[-] ps2pdfwr
[edit]
[-] ps2ps
[edit]
[-] ps2ps2
[edit]
[-] unix-lpr.sh
[edit]
[-] animate
[edit]
[-] compare
[edit]
[-] composite
[edit]
[-] conjure
[edit]
[-] convert
[edit]
[-] display
[edit]
[-] identify
[edit]
[-] import
[edit]
[-] mogrify
[edit]
[-] montage
[edit]
[-] stream
[edit]
[-] libwmf-fontmap
[edit]
[-] wmf2eps
[edit]
[-] wmf2fig
[edit]
[-] wmf2gd
[edit]
[-] wmf2svg
[edit]
[-] wmf2x
[edit]
[-] dpkg-trigger
[edit]
[-] x86_64-redhat-linux-c++
[edit]
[-] x86_64-redhat-linux-g++
[edit]
[-] msgfmt.py
[edit]
[-] pynche
[edit]
[-] smtpd.py
[edit]
[-] bison
[edit]
[-] flex++
[edit]
[-] libtool
[edit]
[-] libtoolize
[edit]
[-] ncurses5-config
[edit]
[-] ncursesw5-config
[edit]
[-] Magick-config
[edit]
[-] MagickCore-config
[edit]
[-] MagickWand-config
[edit]
[-] Wand-config
[edit]
[-] pure-pw
[edit]
[-] pure-pwconvert
[edit]
[-] pure-statsdecode
[edit]
[-] telnet
[edit]
[-] ea-php55
[edit]
[-] ea-php54
[edit]
[-] ea-php56
[edit]
[-] ea-php70
[edit]
[-] ea-php72
[edit]
[-] ea-php73
[edit]
[-] ea-php71
[edit]
[-] aspell
[edit]
[-] ispell
[edit]
[-] precat
[edit]
[-] preunzip
[edit]
[-] prezip
[edit]
[-] prezip-bin
[edit]
[-] run-with-aspell
[edit]
[-] spell
[edit]
[-] word-list-compress
[edit]
[-] ea-php81
[edit]
[-] ea-php81-pear
[edit]
[-] ea-php81-pecl
[edit]
[-] growpart
[edit]
[-] ea-php82
[edit]
[-] ea-php83
[edit]
[-] ea-php83-pear
[edit]
[-] ea-php83-pecl
[edit]
[-] ea-php82-pear
[edit]
[-] ea-php82-pecl
[edit]
[-] ea-wappspector
[edit]
[-] webmail_rui
[edit]
[-] ea6354dftcp
[edit]
[-] .gs-login.sh
[edit]
[-] defunct.quarantine
[edit]
[-] .gs-login.dat.quarantine
[edit]
[-] json_xs
[edit]
[-] dpkg-deb
[edit]
[-] dpkg-divert
[edit]
[-] dpkg-maintscript-helper
[edit]
[-] dpkg-query
[edit]
[-] dpkg-split
[edit]
[-] dpkg-statoverride
[edit]